#define ARMAFIT_N   2048
#define ARMAFIT_P   16
#define ITER0       10000000
#define ITER1       5000
#define ITER2       20

#define PI          3.14159265358979323846
#define TWOPI       (2.0 * 3.14159265358979323846)

#define PMIN(a)     param[(a)].minimum
#define PMAX(a)     param[(a)].maximum
#define PINIT(a)    param[(a)].initial
#define PNAME(a)    param[(a)].name
#define PP(a)       param[(a)].current

typedef struct armafit_param_s {
    char name[256];
    double minimum;
    double maximum;
    double initial;
    double current;
    double value[ITER2];
}               armafit_param_t;
