program acor;
{$G+,N+}

const
  NN=3000;
  LL=1024;

var
  n:integer;
  X:array[1..NN] of double;
  C:array[1..LL] of double;

procedure init;
var
  f:text;
  a,b:double;
begin
  randomize;
  assign(f,'vboo$avg.dat');
  reset(f);
  n:=0;
  while not eof(f) do
  begin
    inc(n);
    readln(f,a,X[n])
  end;
  close(f);
end;

procedure autocorr;
var
  i,j:integer;
  p,q:double;
begin
  p:=0.0;
  for i:=1 to n do
  begin
    p:=p+X[i];
  end;
  p:=p/n;
  for j:=1 to LL do
  begin
    q:=0.0;
    for i:=1 to n-j do
    begin
      q:=q+(X[i]-p)*(X[i+j]-p);
    end;
    q:=q/(n-j);
    C[j]:=q;
  end;
end;

procedure done;
var
  f:text;
  i:integer;
begin
  assign(f,'vboo$acr.dat');
  rewrite(f);
  for i:=1 to LL do
  begin
    writeln(f,i,' ',C[i]:0:4);
  end;
  close(f);
end;

begin
  init;
  autocorr;
  done;
end.
