#define TACOR_LL      1000
#define TACOR_PP      32
#define TACOR_QQ      32

#define ERROR   -1
#define OK      1

typedef struct tacor_vector_s {
    int n;
    double *data;
}              tacor_vector_t;

int tacor_vector_init(tacor_vector_t *, int);
int tacor_vector_done(tacor_vector_t *);
int tacor_vector_save(tacor_vector_t *, char *);
void tacor_init(tacor_vector_t *, tacor_vector_t *, tacor_vector_t *);
void tacor_solve(void);
void tacor_done(void);
